MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028787Open CASCADE[OCCT] OCCT:Configurationpublic2017-05-25 12:242017-09-29 16:29
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028787: Configuration, genproj - add HAVE_RelWithDebInfo option for generating VS project files with Debug info in Release mode
DescriptionDebug info in release mode allows analyzing user crash reports or profiling performance issues - hence option for generating PDB files within genproj can be a useful feature in some scenarios.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0028287closedbugmaster CMake install does not copy pdb files in RelWithDebInfo mode 

-  Notes
(0066564)
git (administrator)
2017-05-25 12:27

Branch CR28787 has been created by kgv.

SHA-1: 8ea474fdce71806d2161db518bb1b1944ebd005d


Detailed log of new commits:

Author: kgv
Date: Thu May 25 12:25:43 2017 +0300

    0028787: Configuration, genproj - add option for generating VS project files with Debug info in Release mode
(0066636)
git (administrator)
2017-05-26 13:03

Branch CR28787 has been updated forcibly by kgv.

SHA-1: 125b90929ff31edfbf11859b36efa111b948b446
(0066637)
kgv (developer)
2017-05-26 13:04

Patch is ready for review.
(0066638)
ibs (developer)
2017-05-26 14:00

there are no remarks
(0067151)
git (administrator)
2017-06-06 18:06

Branch CR28787 has been updated forcibly by kgv.

SHA-1: 7b0b7d3eb093cae310832033b7ba4e094f5638d0
(0067152)
git (administrator)
2017-06-06 18:14

Branch CR28787 has been updated by kgv.

SHA-1: 9cea13b49a4989900a138a276efc16962a783962


Detailed log of new commits:

Author: kgv
Date: Tue Jun 6 17:59:57 2017 +0300

    // update documentation

(0067153)
kgv (developer)
2017-06-06 18:14

Documentation has been updated.
(0067157)
bugmaster (administrator)
2017-06-06 18:47

genproj.bat successfully generate vc projects which in its turn generate pdb files during compilation in Release mode.
(0067339)
git (administrator)
2017-06-13 17:34

Branch CR28787 has been deleted by kgv.

SHA-1: 9cea13b49a4989900a138a276efc16962a783962

- Related Changesets
occt: master 26cfd29c
Timestamp: 2017-05-25 09:25:43
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028787: Configuration, genproj - add option HAVE_RelWithDebInfo for generating VS project files with Debug info in Release mode
mod - adm/genconf.tcl Diff ] File ]
mod - adm/genconfdeps.tcl Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]
mod - adm/templates/template.vc10 Diff ] File ]
mod - adm/templates/template.vc10x Diff ] File ]
mod - dox/dev_guides/building/3rdparty/images/genconf_windows.png Diff ] File ]
mod - dox/dev_guides/building/msvc.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-25 12:24 kgv New Issue
2017-05-25 12:24 kgv Assigned To => kgv
2017-05-25 12:27 git Note Added: 0066564
2017-05-26 13:03 git Note Added: 0066636
2017-05-26 13:03 kgv Summary Configuration, genproj - add option for generating VS project files with Debug info in Release mode => Configuration, genproj - add HAVE_RelWithDebInfo option for generating VS project files with Debug info in Release mode
2017-05-26 13:04 kgv Note Added: 0066637
2017-05-26 13:04 kgv Assigned To kgv => ibs
2017-05-26 13:04 kgv Status new => resolved
2017-05-26 14:00 ibs Note Added: 0066638
2017-05-26 14:00 ibs Assigned To ibs => bugmaster
2017-05-26 14:00 ibs Status resolved => reviewed
2017-06-06 18:06 git Note Added: 0067151
2017-06-06 18:14 git Note Added: 0067152
2017-06-06 18:14 kgv Note Added: 0067153
2017-06-06 18:47 bugmaster Note Added: 0067157
2017-06-06 18:47 bugmaster Status reviewed => tested
2017-06-09 14:06 bugmaster Changeset attached => occt master 26cfd29c
2017-06-09 14:06 bugmaster Status tested => verified
2017-06-09 14:06 bugmaster Resolution open => fixed
2017-06-13 17:34 git Note Added: 0067339
2017-08-16 15:42 kgv Relationship added related to 0028287
2017-08-18 13:05 bugmaster Test case number => Not required
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker